Debian Bug report logs - #309979
rules incorrect build mozilla-locale-ptbr package

version graph

Package: mozilla-locale-ptbr; Maintainer for mozilla-locale-ptbr is (unknown);

Reported by: Regis Fernandes Gontijo <regisfg@yahoo.com.br>

Date: Fri, 20 May 2005 22:33:06 UTC

Severity: minor

Tags: patch

Found in version 1.7.11-2

Fixed in version mozilla-locale-ptbr/1.7.12-2

Done: Tiago Bortoletto Vaz <tiago@debian-ba.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-BR Team Maintainers <debian-devel-portuguese@lists.debian.org>:
Bug#309979; Package mozilla-locale-ptbr. Full text and rfc822 format available.

Acknowledgement sent to Regis Fernandes Gontijo <regisfg@yahoo.com.br>:
New Bug report received and forwarded. Copy sent to Debian-BR Team Maintainers <debian-devel-portuguese@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Regis Fernandes Gontijo <regisfg@yahoo.com.br>
To: submit@bugs.debian.org
Cc: Mussi <mussi@minaslivre.org>
Subject: rules incorrect build mozilla-locale-ptbr package
Date: Fri, 20 May 2005 19:26:46 -0300 (ART)
[Message part 1 (text/plain, inline)]
Package: mozilla-locale-ptbr
Version: 1.7.11-2
Severity: minor
Tags: patch

rules needs to patch some jar files in the original upstream package
but after building Debian version of pt-BR.jar the destination
directory `locale' isn't removed from the build tree and the
Debian version of BR.jar is incorrectly generated. Adicionally, the
directory `locale' remains in the resulting Debian package.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=pt_BR, LC_CTYPE=pt_BR (charmap=ISO-8859-1) (ignored:
LC_ALL set to pt_BR)

Versions of packages mozilla-locale-ptbr depends on:
ii  mozilla-browser               2:1.7.7-2  The Mozilla Internet
application s

-- no debconf information

"Queremos um mundo de paz mas ainda hasteamos nossas 
bandeiras usando mastros em forma de lança." regisfg

http://www.advogato.org/person/regisfg
Usuário GNU/Linux 341449 - http://counter.li.org
Ooops... Não basta ser GNU/Linux, tem que ser Debian! @

Este computador está protegido contra os vírus que você 
recebe todos os dias. Eu uso Debian GNU/Linux - kernel 2.6.9

Mantenha seu sistema atualizado, use apt-get !


	
	
		
____________________________________________________Yahoo! Mail, cada vez melhor: agora com 1GB de espaço grátis! http://mail.yahoo.com.br
[mozilla-locale-ptbr.diff (text/x-patch, inline)]
Index: debian/rules
===================================================================
--- debian/rules	(revisão 101)
+++ debian/rules	(cópia de trabalho)
@@ -34,7 +34,8 @@
 		patch -p0 < $$patch ; \
 	done && \
 	rm -r pt-BR.jar && \
-	zip -r pt-BR.jar locale
+	zip -r pt-BR.jar locale && \
+	rm -rf locale
 
 	cd build-dir/bin/chrome/ && \
 	unzip BR.jar && \
@@ -46,7 +47,8 @@
 	mv locale/BR/navigator-region/region.properties.ptbr \
 	   locale/BR/navigator-region/region.properties && \
 	rm -r BR.jar && \
-	zip -r BR.jar locale
+	zip -r BR.jar locale && \
+	rm -rf locale
 
 	touch build-stamp
 

Reply sent to Tiago Bortoletto Vaz <tiago@debian-ba.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Regis Fernandes Gontijo <regisfg@yahoo.com.br>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 309979-close@bugs.debian.org (full text, mbox):

From: Tiago Bortoletto Vaz <tiago@debian-ba.org>
To: 309979-close@bugs.debian.org
Subject: Bug#309979: fixed in mozilla-locale-ptbr 1.7.12-2
Date: Sun, 22 May 2005 14:02:48 -0400
Source: mozilla-locale-ptbr
Source-Version: 1.7.12-2

We believe that the bug you reported is fixed in the latest version of
mozilla-locale-ptbr, which is due to be installed in the Debian FTP archive:

mozilla-locale-ptbr_1.7.12-2.diff.gz
  to pool/main/m/mozilla-locale-ptbr/mozilla-locale-ptbr_1.7.12-2.diff.gz
mozilla-locale-ptbr_1.7.12-2.dsc
  to pool/main/m/mozilla-locale-ptbr/mozilla-locale-ptbr_1.7.12-2.dsc
mozilla-locale-ptbr_1.7.12-2_all.deb
  to pool/main/m/mozilla-locale-ptbr/mozilla-locale-ptbr_1.7.12-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 309979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tiago Bortoletto Vaz <tiago@debian-ba.org> (supplier of updated mozilla-locale-ptbr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 21 May 2005 11:59:20 -0300
Source: mozilla-locale-ptbr
Binary: mozilla-locale-ptbr
Architecture: source all
Version: 1.7.12-2
Distribution: unstable
Urgency: low
Maintainer: Debian-BR Team Maintainers <debian-devel-portuguese@lists.debian.org>
Changed-By: Tiago Bortoletto Vaz <tiago@debian-ba.org>
Description: 
 mozilla-locale-ptbr - Mozilla Brazilian Portuguese Language/Region Package
Closes: 309979
Changes: 
 mozilla-locale-ptbr (1.7.12-2) unstable; urgency=low
 .
   * debian/rules
     - Add removing destination directory 'locales' to fix incorrect build.
       Thanks to Regis Fernandes Gontijo. (Closes: #309979)
Files: 
 0ba3b447e1aa2f8e659df6c53f4b37b2 1017 web optional mozilla-locale-ptbr_1.7.12-2.dsc
 dbdcb9ea3619e886622a3918fc5c9f50 13130 web optional mozilla-locale-ptbr_1.7.12-2.diff.gz
 8164810058e2dda276549db8075c7b00 882272 web optional mozilla-locale-ptbr_1.7.12-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCkMgULqiZQEml+FURApuHAKCFBIlym6JoMhsOmmHxshkOIsg75ACeOEZ1
H/7vUBkuoaHJDqP7qMQ/ohI=
=mx0b
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:36:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.